Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 18 Nov 2017, 08:38
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Xenialpup CE 7.0.8.6
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 25 of 33 [488 Posts]   Goto page: Previous 1, 2, 3, ..., 23, 24, 25, 26, 27, ..., 31, 32, 33 Next
Author Message
s243a

Joined: 02 Sep 2014
Posts: 649

PostPosted: Tue 06 Dec 2016, 01:14    Post subject:  

I installed synergy.

It said that I was missing libcrypto++.so.9

I rectified this by installing either one or both of:
libcrypto++-utils_5.6.1-9
libcrypto++9v5_5.6.1-9.files

from the puppy package manager. I'm not sure if this was an intentional omission or something that you might want to include in the release.

edit: I'm able to switch monitors from computer to computer with the mouse but I'm unable to share the clipboard. I wonder if this means anything to anyone:

Code:

20), TEXT (420), STRING (31)
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,518
2016-12-05T23:10:27 DEBUG:   added format 0 for target UTF8_STRING (276) (54 bytes)
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,561
2016-12-05T23:10:27 DEBUG: close clipboard 0
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,354
2016-12-05T23:10:27 DEBUG: open clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,319
2016-12-05T23:10:27 DEBUG: ICCCM fill clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,499
2016-12-05T23:10:27 DEBUG:   available targets: TIMESTAMP (394), TARGETS (392), MULTIPLE (393), UTF8_STRING (276), COMPOUND_TEXT (320), TEXT (420), STRING (31)
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,518
2016-12-05T23:10:27 DEBUG:   added format 0 for target UTF8_STRING (276) (54 bytes)
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,561
2016-12-05T23:10:27 DEBUG: close clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,354
2016-12-05T23:10:27 NOTE: disconnected from server
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/synergy/ClientApp.cpp,324
2016-12-05T23:10:27 NOTE: connecting to '192.168.0.2': 192.168.0.2:24800
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/client/Client.cpp,149
2016-12-05T23:10:27 DEBUG: open clipboard 0
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,319
2016-12-05T23:10:27 DEBUG: empty clipboard 0
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,272
2016-12-05T23:10:27 DEBUG: grabbed clipboard 0
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,295
2016-12-05T23:10:27 DEBUG: close clipboard 0
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,354
2016-12-05T23:10:27 DEBUG: open clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,319
2016-12-05T23:10:27 DEBUG: empty clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,272
2016-12-05T23:10:27 DEBUG: grabbed clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,295
2016-12-05T23:10:27 DEBUG: close clipboard 1
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/platform/XWindowsClipboard.cpp,354
2016-12-05T23:10:27 NOTE: connected to server
   /build/synergy-mwoClI/synergy-1.6.2/src/lib/synergy/ClientApp.cpp,294
2016-12-05T23:10:31 INFO: entering screen


I should add that my clipboard works between different versions of tahrpup running synergy but not between xenial and tahrpup.

I'm googling a bit and killing glipper has solved the problem for some people but I don't think that xenial or tahr use glipper.
Back to top
View user's profile Send private message 
fr33land

Joined: 25 Jun 2015
Posts: 52

PostPosted: Tue 06 Dec 2016, 09:31    Post subject: Re: Xenialpup CE 7.0.4
Subject description: beta (27/08/2016)
 

666philb wrote:
samba/yassm is still broken

Please see page 4. YASSM has the same problem as PeasyPort - missing binaries.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 2005
Location: 500 seconds from Sol

PostPosted: Wed 07 Dec 2016, 17:51    Post subject: flowblade and other video apps for xenialpup
Subject description: How to build your own
 

Hi All,

My congradulations to 666philb for developing a truly resourceful Puppy, and to those working on woof for enabling that capability. And again to Lazy Puppy for building PaDS.

Recently, I had complained in an email regarding how little time knowledgeable Dev now spend on developing applications. Perhaps I spoke too soon. Xenialpup is evidently a Puppy with which even someone who doesn’t compile can obtain desired applications.

In the past I had some difficulty building flowblade. Here’s how I did so running xenialpup.

First, download and install PaDS from here: http://murga-linux.com/puppy/viewtopic.php?p=658359#658359

Next, create a folder named such as flowblade You may want to give it a more complete name to distinguish it from other versions: for example flowblade32xen-1.8. The version built for Xenialpup may not run under other Puppies, and vice-versa.

Then, obtain the flowblade 1.8 deb from here: https://github.com/jliljebl/flowblade/blob/master/flowblade-trunk/docs/INSTALLING.md. Move/copy it into your flowblade folder.

You will find a list of flowblade’s dependencies here: https://github.com/jliljebl/flowblade/blob/master/flowblade-trunk/docs/DEPENDENCIES.md

Open Geany or your favorite text editor, and then copy and paste the list of dependencies into a new text file. Give it a name, such as flowblade-dependencies.txt, and save it to a convenient location.

Open Puppy Package Manager, Menu>Setup>Puppy Package Manager, select Configure, then options, then “Save PKGs in”, scroll to your flowblade folder, and select it. Also place checks in the boxes which reads “Always redownload packages when they exist” and one where it reads “Install to tmpfs instead of save file, till session is saved”. The first will eliminate your having to figure out what already has been downloaded or installed on your system and/or just having to click OK a lot to continue. The second will prevent the debs from being automatically written to your SaveFolder/File.

Next, change the instructions on the top right box from its default, “Auto Install” to “Download all (package and dependencies)”.

Then cut and paste each dependency from “flowblade-dependencies.txt” to Puppy Package Manager’s Search box, select all that show up and click “Do it”.

Two warnings: the entire process will take some time, maybe 15 minutes. One of flowblade’s dependencies is “gmic”. This enables flowblade to work with gimp files. However, the above PPM instructions will automatically pull down the gimp deb (and perhaps other debs required by gimp-- I don’t know how to distinguish those from the other debs actually required by flowblade). Maybe leave gmic for last, download to different folder and "separate the wheat from the chaff" --if you can tell the diffence before moving the gmic deb (and others?) to your other download folder? Or Your choice: you can leave your accumulation of debs alone, with the end result of having an SFS containing both flowblade and a working version of gimp; or go into your flowblade folder and delete the gimp deb and then use whichever version of gimp you already have. I chose to uninstall/unload my version of gimp and use the one included in the resulting flowblade SFS thinking, perhaps, it was more likely to fully work with flowblade.

After all the debs have been downloaded into the flowblade folder, creating the SFS is simple. Just browse so that you’ll see the folder named flowblade (or whatever you’ve named it), right-click it, and select “Combine to SFS”. After a while, a flowblade SFS will appear in /root. Right-Click it and when asked select Move to /mnt/home but decline the offer to run.

Rather, open a terminal and type flowblade*. Flowblade should open, but if you minimize it you can view the terminal print-out which will show any missing dependencies. {Menu>Utilities>ListDD should also work]. As I recall, there weren’t any. Only a warning that some of the many lapsd filters weren’t available. But if I’ve mis-recollected, it was a simple matter of typing the names of the missing item into PPM’s search box, downloading to the flowblade folder, re-running PaDS, unloading the current flowblade and sfs-loading the new one.

The reason I don’t remember if there was anything missing is that at about the same time I built Avidemux and Openshot. See attached screenshot. It was my disappointment at finding neither Quickpet nor a version of Openshot from it that got me started trying to cobble together applications. If I recall correctly, all the requirements for openshot were met simply by typing its name into PPM’s Search box. The ease with which that happened encouraged me to try putting flowblade together. And success with that suggested “Avidemux, why not?”

Avidemux proved the most difficult. And probably unnecessary. It isn’t in Ubuntu's xenial repos. You can obtain all of the binaries/debs by following of the links from this page on Ubuntu's Wily repo, after the heading “Binary packages built by this source”: https://launchpad.net/ubuntu/+source/avidemux/1:2.5.4-0ubuntu16 Note, this is the 2.5.4 version. Avidemux is now up to version 2.6 x. For that, you can use Thanh Tung Nguyen's Unofficial build: https://launchpad.net/~rebuntu16/+archive/ubuntu/avidemux+unofficial/+build/11038916. Remember to download all the debs following the heading “Built files”.

Regarding any application you build this way, remember not to delete your “build folder” until after you’ve tested and are satisfied with the finished product.

The reason a current version of Avidemux may not be necessary is that (a) the current XP version runs under wine; (b) there doesn’t seem to be much reason to upgrade to 2.6, for example the official Xenial version is still 2.5.4; and (c) most versions built for other Puppies will run under Xenialpup. For example, https://dl.dropboxusercontent.com/u/26024684/carolina-Linux/avidemux-AIO-2.5.3-i486_009.sfs or Lazy Puppy’s, found here: http://smokey01.com/RSH/LazY-Puppy-201/lp201-sfs/single-apps/.

mikesLr

* I didn't need to for flowblade. But if there had been a lot of "missing" files or other problems, I would have closed the terminal and re-started it with the command:

flowblade > /root/missing-files.txt

which would have generated a text file, missing-files.txt, @ /root containing the text which otherwise would have appeared in the terminal.
MultimediaApps in Xenialpup.png
 Description   flowblade & others build running xenialpup
 Filesize   49.97 KB
 Viewed   3051 Time(s)

MultimediaApps in Xenialpup.png


Last edited by mikeslr on Thu 12 Jan 2017, 22:23; edited 1 time in total
Back to top
View user's profile Send private message 
gremplar

Joined: 11 Dec 2016
Posts: 1

PostPosted: Sun 11 Dec 2016, 15:50    Post subject: Issues with Radeon firmware...
Subject description: Issues with Radeon firmware...
 

Hi all,

Hope this is the correct forum to post in, but I'm having a bit of trouble with Xenialpup 7.0.4.

When I download and boot the 7.0.4 ISO image from iBiblio, the OS boots and loads correctly, loading up the Radeon drivers, plus the KAVERI binary file(s), so my system boots and runs with full 3D acceleration.

If I download 'Woof-CE' from GitHub and attempt to build it from scratch, it:

a) Builds a version of XenialPup reporting itself as 7.0.3
b) Has no KAVERI binaries in the /lib/firmware/radeon nor /initrd/pup_z/lib/firmware/radeon directories (lots of others, though)

I can only conclude that the 'radeon_firmware' PET that's being built into the 7.0.3 image being built by Woof-CE is using an older PET than what was released in the 7.0.4 ISO, but no idea on how to rectify the issue.

Has anyone attempted to do this before? Any pointers on how you built 7.0.4 using Woof-CE, or am I in the completely wrong place?
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3121
Location: wales

PostPosted: Sun 11 Dec 2016, 19:19    Post subject: Re: Issues with Radeon firmware...
Subject description: Issues with Radeon firmware...
 

gremplar wrote:
Hi all,

Hope this is the correct forum to post in, but I'm having a bit of trouble with Xenialpup 7.0.4.

When I download and boot the 7.0.4 ISO image from iBiblio, the OS boots and loads correctly, loading up the Radeon drivers, plus the KAVERI binary file(s), so my system boots and runs with full 3D acceleration.

If I download 'Woof-CE' from GitHub and attempt to build it from scratch, it:

a) Builds a version of XenialPup reporting itself as 7.0.3
b) Has no KAVERI binaries in the /lib/firmware/radeon nor /initrd/pup_z/lib/firmware/radeon directories (lots of others, though)

I can only conclude that the 'radeon_firmware' PET that's being built into the 7.0.3 image being built by Woof-CE is using an older PET than what was released in the 7.0.4 ISO, but no idea on how to rectify the issue.

Has anyone attempted to do this before? Any pointers on how you built 7.0.4 using Woof-CE, or am I in the completely wrong place?

hi gremplar,

all the firmware is in the kernel but unfortunately i've been having some computer problems and the kernel i compiled for 704 is lost. this has also stalled any xenialpup development for a while.

so you can either use the kernel kit in the woof.ce folder to build a new kernel, and at the end tell it to grab the latest firmware.

or download a kernel from here http://distro.ibiblio.org/puppylinux/huge_kernels/
unzip it
rename kernel-modules.sfs-blah-blah to kernel-modules.sfs
left click to mount and copy all the files to a folder.
add the firmware you want from the working xenial and then repackge.
Code:
mksquashfs /path/to/folder /path/to/put/kernel-modules.sfs-blah-blah -comp xz

then finally select both the kernel-modules.sfs-blah-blah & vmlinuz-blah-blah , choose 'openwith' then 'packit' and repackage. and place in the huge_kernel folder in woofce.

to build 7.0.4 grab /root/.packages/DISTRO_PKGS_SPECS from 7.0.4 rename to DISTRO_PKGS_SPECS-ubuntu-xenial, and replace the one in the woof folder . you can also edit the DISTRO_SPECS file to say 7.0.4.

hopefully you'll end up with a working pup

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9502
Location: Charleston S.C. USA

PostPosted: Sun 18 Dec 2016, 19:06    Post subject:  

666philb wrote:
i've been having some computer problems.
this has also stalled any xenialpup development for a while.

What can we do to help??????

What computer problems???

We all probably have some spare parts we could give you.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11141
Location: Gatineau (Qc), Canada

PostPosted: Thu 12 Jan 2017, 21:37    Post subject:  

(I'm sorry I haven't seen these last posts sooner.)

666philb? You still there?

I second bigpup on this. How about it, people?

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 2005
Location: 500 seconds from Sol

PostPosted: Fri 13 Jan 2017, 10:11    Post subject: Broken computer  

Ditto last two posts. I also have a paypal account.

mikesLr
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1278

PostPosted: Fri 13 Jan 2017, 17:22    Post subject:  

I tried to make a Xenialpup 32-bit build with woof-CE today.
Interestingly it made 7.0.3 and is missing mtpaint and libtsan0, and invaliddeplist reports:
Quote:
libcuda1-340 nvidia-340-uvm nvidia-libopencl1-367 nvidia-opencl-icd-340 python:any xorg-video-abi-20

Boots to desktop but my mouse and keyboard don't work, maybe because of the missing libcuda stuff or it didn't find the zdrv?

edit: Whoops should have read 666philb's post before attempting... lol.
Back to top
View user's profile Send private message 
jlst

Joined: 23 Nov 2012
Posts: 571

PostPosted: Sun 22 Jan 2017, 15:35    Post subject:  

Sailor Enceladus wrote:
I tried to make a Xenialpup 32-bit build with woof-CE today.
Interestingly it made 7.0.3 and is missing mtpaint and libtsan0, and invaliddeplist reports:
Quote:
libcuda1-340 nvidia-340-uvm nvidia-libopencl1-367 nvidia-opencl-icd-340 python:any xorg-video-abi-20

Boots to desktop but my mouse and keyboard don't work, maybe because of the missing libcuda stuff or it didn't find the zdrv?

edit: Whoops should have read 666philb's post before attempting... lol.

Do you still have the iso? If so, I'd like to check it out. There's no need to build another one until i push new binaries of findpkgs-dep-helper for you to do it at an amazing speed..
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1278

PostPosted: Fri 27 Jan 2017, 22:28    Post subject:  

jlst wrote:
Do you still have the iso? If so, I'd like to check it out. There's no need to build another one until i push new binaries of findpkgs-dep-helper for you to do it at an amazing speed..

Hi jlst. I tried a new build today. In order to get it to work, I had to restore /etc/X11/xkb and /usr/share/X11/locale from 7.0.4.
Back to top
View user's profile Send private message 
ChAoS

Joined: 31 Jan 2017
Posts: 1

PostPosted: Tue 31 Jan 2017, 19:48    Post subject: Boot Flag  

I tried to do a full install on hard drive. When i was prompted to install grub4dos it stated that boot flag wasnt marked.. I checked twice and flag is marked.[/img]
capture14907.png
Description 
png

 Download 
Filename  capture14907.png 
Filesize  126.55 KB 
Downloaded  72 Time(s) 
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1278

PostPosted: Tue 31 Jan 2017, 20:02    Post subject:  

edit: Apparently "esp" has something to do with UEFI. I've never tried booting with grub4dos on a UEFI machine myself.
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1278

PostPosted: Sun 05 Feb 2017, 21:16    Post subject:  

There is someone on the Pale Moon forum making SSE-only builds of Pale Moon for Linux. I think the glibc in Xenialpup is new enough to handle these builds. Perhaps using this version would be better because most people having problems opening their browser in Tahrpup and Xenialpup are because the default Pale Moon requires SSE2 and their machine doesn't have it.

Here is the URL to the thread for SSE-only Pale Moon builds: https://forum.palemoon.org/viewtopic.php?f=40&t=13530
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 2005
Location: 500 seconds from Sol

PostPosted: Sat 18 Feb 2017, 09:49    Post subject: Qt 4 needed for some applications  

Hi All,

I was setting up Xenialpup on a different computer and discovered that neither coolreader, http://www.murga-linux.com/puppy/viewtopic.php?p=935254#935254 nor masterpdfeditor, also downloaded from the cite of its publisher, ran. Xenialpup uses Qt 5 libs. Those applications -- perhaps other-- required Qt 4. The qt-4.8.2-stripped.sfs from smokie's repo did the trick. http://smokey01.com/pemasu/pet_packages-upup/qt-4.8.2-stripped.sfs

mikesLr
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 25 of 33 [488 Posts]   Goto page: Previous 1, 2, 3, ..., 23, 24, 25, 26, 27, ..., 31, 32, 33 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0995s ][ Queries: 13 (0.0113s) ][ GZIP on ]